<?php

/*
Theme Name: Sobre
Version: 0.1a
Description: Black and white theme, based on Yoga/dark.
Theme URI: http://fr.piwigo.org/ext/extension_view.php?eid=375
Author: Gotcha
Author URI: http://www.julien-moreau.fr
*/

$themeconf = array(
  'parent' => 'default',
  'name'  => 'sobre',
  'local_head'  => 'local_head.tpl',
);

load_language('theme.lang', PHPWG_THEMES_PATH.'sobre/');

add_event_handler('loc_begin_page_header', 'set_sbre_header');
function set_sbre_header()
{
  global $page, $conf, $template;
  $config = unserialize($conf['Sobre']);
  if (isset($page['body_id']) and $page['body_id'] == 'theCategoryPage')
  {
    $header = isset($page['category']) ? $config['categories'] : $config['home'];
  }
  elseif (isset($page['body_id']) and $page['body_id'] == 'thePicturePage')
  {
    $header = $config['picture'];
  }
  else
  {
    $header = $config['other'];
  }
  $template->assign('display_sbre_banner', $header);
}
  // Affiche les cases  cocher derrire le nom de l'image
  function DmCategoryThumbnail($tpl_var) {
    foreach($tpl_var as $cle=>$valeur) {
      $tpl_var[$cle]['NAME'] = '&nbsp;<input type="checkbox" name="id_images[]" value="'.$tpl_var[$cle]['ID'].'"> '.$tpl_var[$cle]['NAME'];
    }

    return $tpl_var;
  }


add_event_handler('blockmanager_prepare_display', 'add_rss_icon');
function add_rss_icon()
{
global $lang;
  if (isset($lang['Notification'])) {
    $lang['Notification'] .= '<img src="./themes/sobre/images/rss.png" style="float:right; margin-right:10px; position:inherit;" class="button_rss" alt="flux-rss"/>';
  }
  if (isset($lang['Notification RSS'])) {
    $lang['Notification RSS'] .= '<img src="./themes/sobre/images/rss.png" style="float:right; margin-right:10px; position:inherit;" class="button_rss" alt="flux-rss"/>';
  }
}

?>
